aboutsummaryrefslogtreecommitdiff
path: root/core/ca-certificates
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-06-18 09:55:19 +0300
committerCem Keylan <cem@ckyln.com>2020-06-18 09:55:19 +0300
commitb05cbab8bc30cd9dcf4fbe2f0f8222a55c070a63 (patch)
tree4b16161a58681401645a59dc70891065242f8aef /core/ca-certificates
parent31443a897f32c77ba0f98efe608162f8e052e453 (diff)
downloadrepository-b05cbab8bc30cd9dcf4fbe2f0f8222a55c070a63.tar.gz
ca-certificates: install update-certdata to /usr/bin
Diffstat (limited to 'core/ca-certificates')
-rwxr-xr-xcore/ca-certificates/build2
-rw-r--r--core/ca-certificates/checksums2
-rwxr-xr-xcore/ca-certificates/files/cert.sh10
-rwxr-xr-xcore/ca-certificates/post-install2
4 files changed, 10 insertions, 6 deletions
diff --git a/core/ca-certificates/build b/core/ca-certificates/build
index bc275ee1..0f8263d8 100755
--- a/core/ca-certificates/build
+++ b/core/ca-certificates/build
@@ -1,3 +1,3 @@
#!/bin/sh -e
-install -Dm755 cert.sh "$1/etc/certificates/update-certdata.sh"
+install -Dm755 cert.sh "$1/usr/bin/update-certdata"
diff --git a/core/ca-certificates/checksums b/core/ca-certificates/checksums
index f7b039ee..2b13e163 100644
--- a/core/ca-certificates/checksums
+++ b/core/ca-certificates/checksums
@@ -1 +1 @@
-33f502c1650911ad511c4c4198abd249c512c3d7f6a67653ea11501d86ed5c5b cert.sh
+2e610b3911db8975a67d8ae7c636599565031f4c7e73b83731c9c5da2539d6f1 cert.sh
diff --git a/core/ca-certificates/files/cert.sh b/core/ca-certificates/files/cert.sh
index 5ac6a223..a4d23dda 100755
--- a/core/ca-certificates/files/cert.sh
+++ b/core/ca-certificates/files/cert.sh
@@ -1,11 +1,15 @@
#!/bin/sh -e
#
-# update-certdata.sh
+# update-certdata
-[ -w "$KISS_ROOT/etc/certificates" ] || {
+DEST="$KISS_ROOT/etc/certificates"
+
+[ -d "$DEST"] || mkdir -p "$DEST"
+
+[ -w "$DEST" ] || {
printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
exit 1
}
-wget https://curl.haxx.se/ca/cacert.pem -O "$KISS_ROOT/etc/certificates/cert.pem"
+wget https://curl.haxx.se/ca/cacert.pem -O "$DEST/cert.pem"
printf '%s\n' "${0##*/}: updated cert.pem"
diff --git a/core/ca-certificates/post-install b/core/ca-certificates/post-install
index 84fe02d4..8ee4d0ea 100755
--- a/core/ca-certificates/post-install
+++ b/core/ca-certificates/post-install
@@ -1,3 +1,3 @@
#!/bin/sh
-"$KISS_ROOT/etc/certificates/update-certdata.sh"
+/usr/bin/update-certdata